apiVersion: apps/v1
data:
  spec:
    dataVolumeTemplates:
    - metadata:
        creationTimestamp: null
        name: restore-c4b40dee-1de2-417c-af84-4446cb196954-dv-disk
        namespace: test-upgrade-namespace
      spec:
        contentType: kubevirt
        source:
          http:
            certConfigMap: artifactory-configmap
            secretRef: cnv-tests-artifactory-secret
            url: https://cnv-qe-artifactory.apps.cnv2.engineering.redhat.com/artifactory/cnv-qe-server-local/cnv-tests/cirros-images/cirros-0.4.0-x86_64-disk.qcow2
        storage:
          resources:
            requests:
              storage: 1Gi
          storageClassName: ocs-storagecluster-ceph-rbd-virtualization
    runStrategy: Always
    template:
      metadata:
        creationTimestamp: null
        labels:
          debugLogs: "true"
          kubevirt.io/domain: vm-snapshot-upgrade-a-1761741897-5416875
          kubevirt.io/vm: vm-snapshot-upgrade-a-1761741897-5416875
      spec:
        architecture: amd64
        domain:
          cpu:
            model: Skylake-Client-v3
          devices:
            disks:
            - disk:
                bus: virtio
              name: dv-disk
            rng: {}
          firmware:
            serial: 06d012f4-df88-4c6b-ba71-e105a87763e5
          machine:
            type: pc-q35-rhel9.6.0
          memory:
            guest: 64M
          resources: {}
        volumes:
        - dataVolume:
            name: restore-c4b40dee-1de2-417c-af84-4446cb196954-dv-disk
          name: dv-disk
kind: ControllerRevision
metadata:
  creationTimestamp: "2025-10-29T12:48:29Z"
  managedFields:
  - apiVersion: apps/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:data: {}
      f:metadata:
        f:ownerReferences:
          .: {}
          k:{"uid":"bd518a58-34f3-4128-84ed-f207d84a6eb9"}: {}
      f:revision: {}
    manager: virt-controller
    operation: Update
    time: "2025-10-29T12:48:29Z"
  name: revision-start-vm-bd518a58-34f3-4128-84ed-f207d84a6eb9-6
  namespace: test-upgrade-namespace
  ownerReferences:
  - apiVersion: kubevirt.io/v1
    blockOwnerDeletion: true
    controller: true
    kind: VirtualMachine
    name: vm-snapshot-upgrade-a-1761741897-5416875
    uid: bd518a58-34f3-4128-84ed-f207d84a6eb9
  resourceVersion: "2196738"
  uid: e92e548a-bbbe-4df4-aa45-57b87eddada5
revision: 6
